        <fieldset class="gdpnavfieldfull">
        <legend class="gdpnavlegend"><?php _e('Settings', 'gd-pages-navigator'); ?>:</legend>
        <table width="100%"><tr>
            <td width="15%"><label for="gdpnav-title"><span style="font-size:90%"><?php _e('Title', 'gd-pages-navigator'); ?>:</span></label></td>
            <td width="33%" align="right"><input class="widefat" style="text-align: right; width: 160px" id="gdpnav-title" name="gdpnav[<?php echo $wpnm; ?>][title]" type="text" value="<?php echo htmlspecialchars($wpno['title'], ENT_QUOTES); ?>" /></td>
            <td width="4%"></td>
            <td width="15%"><label for="gdpnav-render"><span style="font-size:90%"><?php _e('Render', 'gd-pages-navigator'); ?>:</span></label></td>
            <td width="33%" align="right">            
            <select class="widefat" style="width: 100%;" name="gdpnav[<?php echo $wpnm; ?>][renderType]" id="gdpnav-renderType" onchange="gdpnaChangeRender(this.options[this.selectedIndex].value, '<?php echo $wpnm; ?>')">
                <option value="1"<?php echo $wpno['renderType'] == '1' ? ' selected="selected"' : ''; ?>><?php _e('Advanced Navigator', 'gd-pages-navigator'); ?></option>
                <option value="2"<?php echo $wpno['renderType'] == '2' ? ' selected="selected"' : ''; ?>><?php _e('Only Top Level Pages', 'gd-pages-navigator'); ?></option>
                <option value="3"<?php echo $wpno['renderType'] == '3' ? ' selected="selected"' : ''; ?>><?php _e('Full Pages Hierarchy', 'gd-pages-navigator'); ?></option>
                <option value="4"<?php echo $wpno['renderType'] == '4' ? ' selected="selected"' : ''; ?>><?php _e('Custom Parent Page', 'gd-pages-navigator'); ?></option>
            </select></td>
        </tr>
        <tr>
            <td colspan="2"><label for="gdpnav-autoTitle" style="text-align:right;"><input class="checkbox" type="checkbox" <?php echo $wpno['autoTitle'] ? 'checked="checked"' : '';; ?> id="gdpnav-autoTitle" name="gdpnav[<?php echo $wpnm; ?>][autoTitle]" /> <span style="font-size:90%">On subpages use parent name</span></label></td>
            <td width="4%"></td>
            <td colspan="2"><span style="font-size:80%"><?php _e('selecting method will display additional options', 'gd-pages-navigator'); ?></span></td>
        </tr>
        <tr>
            <td width="15%"><label for="gdpnav-sortType"><span style="font-size:90%"><?php _e('Sort Type', 'gd-pages-navigator'); ?>:</span></label></td>
            <td width="33%" align="right"><select class="widefat" style="width: 100;" name="gdpnav[<?php echo $wpnm; ?>][sortType]" id="gdpnav-sortType"><?php $this->sorting_options($wpno['sortType']); ?></select></td>
            <td width="4%"></td>
            <td width="15%"><label for="gdpnav-sortOrder"><span style="font-size:90%"><?php _e('Sort Order', 'gd-pages-navigator'); ?>:</span></label></td>
            <td width="33%" align="right"><select class="widefat" style="width: 100;" name="gdpnav[<?php echo $wpnm; ?>][sortOrder]" id="gdpnav-sortOrder">
                <option value="ASC"<?php echo $wpno['sortOrder'] == 'ASC' ? ' selected="selected"' : ''; ?>><?php _e('Ascending', 'gd-pages-navigator'); ?></option>
                <option value="DESC"<?php echo $wpno['sortOrder'] == 'DESC' ? ' selected="selected"' : ''; ?>><?php _e('Descending', 'gd-pages-navigator'); ?></option>
            </select></td>
        </tr>
            </table>
        <legend class="gdpnavlegend"><a id="gdpna_classes_ctrl[<?php echo $wpnm; ?>]" class="gdpnavlegend" href="javascript:gdpnaShowHide('gdpna_classes', '<?php echo $wpnm; ?>')">[<?php _e('show', 'gd-pages-navigator'); ?>]</a> <?php _e('Custom CSS Classes', 'gd-pages-navigator'); ?>:</legend>
        <div id="gdpna_classes[<?php echo $wpnm; ?>]" style="display: none;">
        <table width="100%">
            <tr>
                <td width="20%"><label for="gdpnav-levelup-list"><?php _e('Level Up List', 'gd-pages-navigator'); ?>:</label></td>
                <td width="28%" align="right"><input class="widefat" id="gdpnav-levelup-list" name="gdpnav[<?php echo $wpnm; ?>][levelup-list]" type="text" value="<?php echo $wpno['classLevelUpList']; ?>" /></td>
                <td width="4%"></td>
                <td width="20%"><label for="gdpnav-levelup-item"><?php _e('Level Up Item', 'gd-pages-navigator'); ?>:</label></td>
                <td width="28%" align="right"><input class="widefat" id="gdpnav-levelup-item" name="gdpnav[<?php echo $wpnm; ?>][levelup-item]" type="text" value="<?php echo $wpno['classLevelUpItem']; ?>" /></td>
            </tr>
            <tr>
                <td width="20%"><label for="gdpnav-pages-list"><?php _e('Pages List', 'gd-pages-navigator'); ?>:</label></td>
                <td width="28%" align="right"><input class="widefat" id="gdpnav-pages-list" name="gdpnav[<?php echo $wpnm; ?>][pages-list]" type="text" value="<?php echo $wpno['classPagesList']; ?>" /></td>
                <td width="4%"></td>
                <td width="20%"><label for="gdpnav-pages-item"><?php _e('Pages Item', 'gd-pages-navigator'); ?>:</label></td>
                <td width="28%" align="right"><input class="widefat" id="gdpnav-pages-item" name="gdpnav[<?php echo $wpnm; ?>][pages-item]" type="text" value="<?php echo $wpno['classPagesItem']; ?>" /></td>
            </tr>
            <tr>
                <td width="20%"><label for="gdpnav-child-list"><?php _e('Child List', 'gd-pages-navigator'); ?>:</label></td>
                <td width="28%" align="right"><input class="widefat" id="gdpnav-child-list" name="gdpnav[<?php echo $wpnm; ?>][child-list]" type="text" value="<?php echo $wpno['classChildList']; ?>" /></td>
                <td width="4%"></td>
                <td width="20%"><label for="gdpnav-child-item"><?php _e('Child Item', 'gd-pages-navigator'); ?>:</label></td>
                <td width="28%" align="right"><input class="widefat" id="gdpnav-child-item" name="gdpnav[<?php echo $wpnm; ?>][child-item]" type="text" value="<?php echo $wpno['classChildItem']; ?>" /></td>
            </tr>
        </table>
        </div>
        </fieldset>

        <fieldset class="gdpnavfieldfull">
        <legend class="gdpnavlegend"><?php _e('Special Pages', 'gd-pages-navigator'); ?>:</legend>
        <table width="100%">
            <tr>
                <td align="left"><?php _e('Home Page', 'gd-pages-navigator'); ?>:</td>
                <td width="15%" align="right">
                    <select class="widefat" style="width: 65px;" name="gdpnav[<?php echo $wpnm; ?>][specialHome]" id="gdpnav-specialHome">
                        <option value="hide"<?php echo $wpno['specialHome'] == 'hide' ? ' selected="selected"' : ''; ?>><?php _e('Hide', 'gd-pages-navigator'); ?></option>
                        <option value="show"<?php echo $wpno['specialHome'] == 'show' ? ' selected="selected"' : ''; ?>><?php _e('Show', 'gd-pages-navigator'); ?></option>
                    </select>
                </td>
                <td width="2%"></td>
                <td align="left"><?php _e('404 Page', 'gd-pages-navigator'); ?>:</td>
                <td width="15%" align="right">
                    <select class="widefat" style="width: 65px;" name="gdpnav[<?php echo $wpnm; ?>][special404]" id="gdpnav-special404">
                        <option value="hide"<?php echo $wpno['special404'] == 'hide' ? ' selected="selected"' : ''; ?>><?php _e('Hide', 'gd-pages-navigator'); ?></option>
                        <option value="show"<?php echo $wpno['special404'] == 'show' ? ' selected="selected"' : ''; ?>><?php _e('Show', 'gd-pages-navigator'); ?></option>
                    </select>
                </td>
                <td width="2%"></td>
                <td align="left"><?php _e('Search Page', 'gd-pages-navigator'); ?>:</td>
                <td width="15%" align="right">
                    <select class="widefat" style="width: 65px;" name="gdpnav[<?php echo $wpnm; ?>][specialSearch]" id="gdpnav-specialSearch">
                        <option value="hide"<?php echo $wpno['specialSearch'] == 'hide' ? ' selected="selected"' : ''; ?>><?php _e('Hide', 'gd-pages-navigator'); ?></option>
                        <option value="show"<?php echo $wpno['specialSearch'] == 'show' ? ' selected="selected"' : ''; ?>><?php _e('Show', 'gd-pages-navigator'); ?></option>
                    </select>
                </td>
            </tr>
            <tr>
                <td align="left"><?php _e('Any Page', 'gd-pages-navigator'); ?>:</td>
                <td width="15%" align="right">
                    <select class="widefat" style="width: 65px;" name="gdpnav[<?php echo $wpnm; ?>][specialPage]" id="gdpnav-specialPage">
                        <option value="hide"<?php echo $wpno['specialPage'] == 'hide' ? ' selected="selected"' : ''; ?>><?php _e('Hide', 'gd-pages-navigator'); ?></option>
                        <option value="show"<?php echo $wpno['specialPage'] == 'show' ? ' selected="selected"' : ''; ?>><?php _e('Show', 'gd-pages-navigator'); ?></option>
                    </select>
                </td>
                <td width="2%"></td>
                <td align="left"><?php _e('Archive Page', 'gd-pages-navigator'); ?>:</td>
                <td width="15%" align="right">
                    <select class="widefat" style="width: 65px;" name="gdpnav[<?php echo $wpnm; ?>][specialArchive]" id="gdpnav-specialArchive">
                        <option value="hide"<?php echo $wpno['specialArchive'] == 'hide' ? ' selected="selected"' : ''; ?>><?php _e('Hide', 'gd-pages-navigator'); ?></option>
                        <option value="show"<?php echo $wpno['specialArchive'] == 'show' ? ' selected="selected"' : ''; ?>><?php _e('Show', 'gd-pages-navigator'); ?></option>
                    </select>
                </td>
                <td width="2%"></td>
                <td align="left"><?php _e('Single Post', 'gd-pages-navigator'); ?>:</td>
                <td width="15%" align="right">
                    <select class="widefat" style="width: 65px;" name="gdpnav[<?php echo $wpnm; ?>][specialSingle]" id="gdpnav-specialSingle">
                        <option value="hide"<?php echo $wpno['specialSingle'] == 'hide' ? ' selected="selected"' : ''; ?>><?php _e('Hide', 'gd-pages-navigator'); ?></option>
                        <option value="show"<?php echo $wpno['specialSingle'] == 'show' ? ' selected="selected"' : ''; ?>><?php _e('Show', 'gd-pages-navigator'); ?></option>
                    </select>
                </td>
            </tr>
        </table>
        </fieldset>
        
        <fieldset class="gdpnavfield gdpnavleft">
        <legend class="gdpnavlegend"><?php _e('Hide Widget On These Pages', 'gd-pages-navigator'); ?>:</legend>
            <select class="widefat" style="width: 100%; height: 70px;" name="gdpnav[<?php echo $wpnm; ?>][excludePages][]" id="gdpnav-excludePages" multiple="multiple"><?php $this->render_options($this->sort_types[$wpno['sortType']]['value'], $wpno['sortOrder'], explode(',', $wpno['excludePages']),0,0) ?></select>
            <span style="font-size:80%"><?php _e('use shift or ctrl to select more then one page', 'gd-pages-navigator'); ?></span>
        </fieldset>

        <fieldset class="gdpnavfield gdpnavright">
        <legend class="gdpnavlegend"><?php _e('Exclude Pages From Display', 'gd-pages-navigator'); ?>:</legend>
            <select class="widefat" style="width: 100%; height: 70px;" name="gdpnav[<?php echo $wpnm; ?>][removePages][]" id="gdpnav-removePages" multiple="multiple"><?php $this->render_options($this->sort_types[$wpno['sortType']]['value'], $wpno['sortOrder'], explode(',', $wpno['removePages']),0,0) ?></select>
            <span style="font-size:80%"><?php _e('use shift or ctrl to select more then one page', 'gd-pages-navigator'); ?></span>
        </fieldset>
        <div style="clear: both"></div>
        
        <fieldset class="gdpnavfield gdpnavleft" id="gdpnav-fieldset-3[<?php echo $wpnm; ?>]" style="display: block;">
        <legend class="gdpnavlegend"><?php _e('Level up item', 'gd-pages-navigator'); ?>:</legend>
            <label for="gdpnav-levelUp" style="text-align:right;"><input class="checkbox" type="checkbox" <?php echo $wpno['levelUp'] ? 'checked="checked"' : ''; ?> id="gdpnav-levelUp" name="gdpnav[<?php echo $wpnm; ?>][levelUp]" /> <?php _e('Display on sub-pages level', 'gd-pages-navigator'); ?></label>
            <br />
            <table width="100%">
            <tr><td><label for="gdpnav-upLocTop"><span style="font-size:90%"><?php _e('Position', 'gd-pages-navigator'); ?>:</span></label></td><td align="right"><select class="widefat" style="width: 125px;" name="gdpnav[<?php echo $wpnm; ?>][upLocTop]" id="gdpnav-upLocTop">
                <option value="0"<?php echo $wpno['upLocTop'] == '0' ? ' selected="selected"' : ''; ?>><?php _e('Top', 'gd-pages-navigator'); ?></option>
                <option value="1"<?php echo $wpno['upLocTop'] == '1' ? ' selected="selected"' : ''; ?>><?php _e('Bottom', 'gd-pages-navigator'); ?></option>
            </select></td></tr>
            <tr><td>
            <label for="gdpnav-hometitle"><span style="font-size:90%"><?php _e('Top Level title', 'gd-pages-navigator'); ?>:</span></label></td><td align="right"><input class="widefat" style="width: 118px;" id="gdpnav-hometitle" name="gdpnav[<?php echo $wpnm; ?>][hometitle]" type="text" value="<?php echo $wpno['homeLink']; ?>" />
            </td></tr></table>
        </fieldset>

        <fieldset class="gdpnavfield gdpnavright" id="gdpnav-fieldset-5[<?php echo $wpnm; ?>]" style="display: block;">
        <legend class="gdpnavlegend"><?php _e('Other Options', 'gd-pages-navigator'); ?>:</legend>
            <label for="gdpnav-upIdent" style="text-align:right;"><input class="checkbox" type="checkbox" <?php echo $wpno['upIdent'] ? 'checked="checked"' : ''; ?> id="gdpnav-upIdent" name="gdpnav[<?php echo $wpnm; ?>][upIdent]" /> <?php _e('Display items indented', 'gd-pages-navigator'); ?></label>
            <table width="100%">
            <tr>
            <td>
            <span style="font-size:90%"><?php _e('Additional Indentation', 'gd-pages-navigator'); ?> [px]:</span></td><td align="right"><input class="widefat" style="text-align: right; width: 50px" name="gdpnav[<?php echo $wpnm; ?>][identSize-1]" id="gdpnav-identSize-1" type="text" value="<?php echo $wpno['identSize']; ?>" />
            </td></tr></table>
        </fieldset>
        <div style="clear: both"></div>

        <div align="center">
        <fieldset class="gdpnavfield" id="gdpnav-fieldset-4[<?php echo $wpnm; ?>]" style="text-align: left; display: none;">
        <legend class="gdpnavlegend"><?php _e('Full hierarchy', 'gd-pages-navigator'); ?>:</legend>
            <label for="gdpnav-fhIdent" style="text-align:right;"><input class="checkbox" type="checkbox" <?php echo $wpno['fhIdent'] ? 'checked="checked"' : ''; ?> id="gdpnav-fhIdent" name="gdpnav[<?php echo $wpnm; ?>][fhIdent]" /> <?php _e('Display items indented', 'gd-pages-navigator'); ?></label>
            <table width="100%">
            <tr>
            <td><span style="font-size:90%"><?php _e('Additional Indentation', 'gd-pages-navigator'); ?> [px]:</span></td><td align="right"><input class="widefat" style="text-align: right; width: 50px" name="gdpnav[<?php echo $wpnm; ?>][identSize-3]" id="gdpnav-identSize-3" type="text" value="<?php echo $wpno['identSize']; ?>" /></td>
            </tr>
            <tr>
            <td><span style="font-size:90%"><?php _e('Level depth', 'gd-pages-navigator'); ?>:</span></td><td align="right"><input class="widefat" style="text-align: right; width: 50px" name="gdpnav[<?php echo $wpnm; ?>][levelDepth]" id="gdpnav-levelDepth" type="text" value="<?php echo $wpno['levelDepth']; ?>" /></td>
            </tr>
            </table>
        </fieldset>
        <fieldset class="gdpnavfield" id="gdpnav-fieldset-6[<?php echo $wpnm; ?>]" style="text-align: left; display: none;">
        <legend class="gdpnavlegend"><?php _e('Custom Parent Page', 'gd-pages-navigator'); ?>:</legend>
            <select size="4" class="widefat" style="width: 100%; height: 70px;" name="gdpnav[<?php echo $wpnm; ?>][rootPage][]" id="gdpnav-rootPage"><?php $this->render_options($this->sort_types[$wpno['sortType']]['value'], $wpno['sortOrder'], explode(',', $wpno['rootPage']),0,0,1) ?></select>
            <span style="font-size:80%"><?php _e('only pages belonging to this one will be displayed', 'gd-pages-navigator'); ?></span>
        </fieldset>
        </div>
        <br />
        <input type="hidden" id="gdpnav-submit" name="gdpnav[<?php echo $wpnm; ?>][submit]" value="1" />
        <script>
            gdpnaChangeRender(<?php echo $wpno['renderType']; ?>, '<?php echo $wpnm; ?>');
        </script>
